#### D.15.14.10 isGroupHomomorphism

Procedure from library `multigrading.lib` (see multigrading_lib).

Usage:
  isGoupHomomorphism(L1,L2,A); L1 and L2 are groups, A is an integer matrix

Purpose:
  checks whether A defines a group homomorphism phi: L1 --> L2

Return:
  int, 1 if A defines the homomorphism and 0 otherwise

Example:

    LIB "multigrading.lib";
    intmat L1[4][1]=
    0,
    0,
    0,
    2;
    intmat L2[3][2]=
    0, 0,
    2, 0,
    0, 3;
    intmat A[3][4] =
    1, 2, 3, 0,
    7, 0, 0, 0,
    1, 2, 0, 3;
    print( A );
    ==>      1     2     3     0
    ==>      7     0     0     0
    ==>      1     2     0     3
    isGroupHomomorphism(L1, L2, A);
    ==> 1
    intmat B[3][4] =
    1, 2, 3, 0,
    7, 0, 0, 0,
    1, 2, 0, 2;
    print( B );
    ==>      1     2     3     0
    ==>      7     0     0     0
    ==>      1     2     0     2
    isGroupHomomorphism(L1, L2, B); // Not a homomorphism!
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.